summaryrefslogtreecommitdiffstats
path: root/jjb/apex
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2016-05-27 20:00:00 -0400
committerTim Rozet <trozet@redhat.com>2016-05-27 20:00:00 -0400
commit63e172c81d9c1f84ce01a72727dfbc4bd1f605aa (patch)
treeb06472218ff0c182a07268f5bde0f1e4a81023a4 /jjb/apex
parent572e5fec9ac8b98214415defba80821d0e2d73b7 (diff)
Fixes network/inventory checks for baremetal deployments
Change-Id: Ic18bafda91538d93ba66ee2969fec2949cecdb52 Signed-off-by: Tim Rozet <trozet@redhat.com>
Diffstat (limited to 'jjb/apex')
-rwxr-xr-xjjb/apex/apex-deploy.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/jjb/apex/apex-deploy.sh b/jjb/apex/apex-deploy.sh
index 4706d45a8..0d34f1a7a 100755
--- a/jjb/apex/apex-deploy.sh
+++ b/jjb/apex/apex-deploy.sh
@@ -146,17 +146,17 @@ else
NETWORK_FILE="/root/network/network_settings.yaml"
INVENTORY_FILE="/root/inventory/pod_settings.yaml"
- if [ ! -e "$INVENTORY_FILE" ]; then
+ if ! sudo test -e "$INVENTORY_FILE"; then
echo "ERROR: Required settings file missing: Inventory settings file ${INVENTORY_FILE}"
+ exit 1
fi
# include inventory file for bare metal deployment
DEPLOY_CMD="${DEPLOY_CMD} -i ${INVENTORY_FILE}"
fi
# Check that network settings file exists
-if [ ! -e "$NETWORK_FILE" ]; then
- echo "ERROR: Required settings file missing for Network Settings"
- echo "Network settings file: ${NETWORK_FILE}"
+if ! sudo test -e "$NETWORK_FILE"; then
+ echo "ERROR: Required settings file missing: Network Settings file ${NETWORK_FILE}"
exit 1
fi